:root {
  --myApp-global--spacer--md: 30px;
}

.app-container {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: var(--myApp-global--spacer--md);
}

.notification-container {
  flex: 0 1 auto;
}

.pf-c-page.myPageClass {
  --pf-global--link--Color: var(--my-app-card-theme--Color);
  --pf-c-page__header--BackgroundColor: #005CA3;
  /*Flutlichblau*/
  --pf-c-table__sort-indicator--hover--Color: blue;
  --pf-c-page__sidebar--BackgroundColor: #7e9dfb;
  --pf-c-page__sidebar--Width: 10rem;
}

.pf-c-table {
  --pf-global--primary-color--100: #06c;
}

.modal {
  overflow: visible;
}

.fill-window {
  height: 100%;
  position: absolute;
  left: 0;
  width: 100%;
  overflow: hidden;
}

.overflow-select {
  position: fixed;
  height: 100px;
  overflow: visible;
}

.pf-c-button.my-plain-button {
  /* --pf-c-button--PaddingLeft:  0px; */
  --pf-c-button--PaddingTop: 0px;
  --pf-c-button--LineHeight: 0;
  --pf-c-button--m-plain--Color: #0;
}

.pf-c-overflow-menu.my-overflow {
  --pf-c-overflow-menu--spacer: 1rem;
}

.scrollable-overflow {
  overflow: scroll;
  height: 200;
}

.popup-content {
  margin: auto;
  background: rgb(255, 255, 255);
  width: 50%;
  padding: 5px;
}

.popup-arrow {
  color: rgb(255, 255, 255);
}

[role='tooltip'].popup-content {
  width: 200px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 0px 3px;
}

.popup-overlay {
  background: rgba(0, 0, 0, 0.5);
}

[data-popup='tooltip'].popup-overlay {
  background: transparent;
}

.iconHolder {
  cursor: pointer;
  color: #6a6e73;
}

.iconHolder:hover {
  color: #151515;
}

section.pf-c-data-list__expandable-content div.pf-c-data-list__expandable-content-body {
  padding-right: 5px;
}

.monospace {
  font-family: monospace;
}


.trunkatedIdNoHover,
.trunkatedId {
  --maxWidth: 100%;
  text-overflow: ellipsis;
  max-width: var(--maxWidth);
  white-space: nowrap;
  overflow: hidden;
}

.trunkatedId:hover {
  overflow: visible;
  z-index: 10;
  background-color: aliceblue;
  border: 1px solid #6a6e73;
  max-width: 100vw;
  /* width: fit-content; */
  border-radius: 5px;
  padding-left: 5px;
  padding-right: 5px;
}

.list-entry{
  cursor: pointer;
  text-align: center;
  padding-left: 8px;
  padding-right: 8px;
}
.list-entry:hover {
  --pf-global--BorderColor--100: navy;
}

.full-iframe {
    width: 50%;
    height: 500px;
    /* position: absolute; */
    overflow: hidden;
}

.pf-c-data-list__expandable-content-body {
  --pf-c-data-list__expandable-content-body--PaddingTop: 0px;
  --pf-c-data-list__expandable-content-body--PaddingBottom: 0px;
}

.pf-c-data-list__item-control {
  --pf-c-data-list__item-control--PaddingTop: 0px;
  --pf-c-data-list__item-control--PaddingBottom: 0px;
}

.pf-c-data-list__item-content {
  --pf-c-data-list__item-content--md--PaddingBottom: 0px;
}